# See https://sw.kovidgoyal.net/kitty/conf.html
include ./mocha.conf
include ./diff-mocha.conf
# Shell integration is sourced and configured manually
shell_integration no-rc
background_opacity 0.95
font_family family "Iosevka"
# - Use additional nerd symbols
# See https://github.com/be5invis/Iosevka/issues/248
# See https://github.com/ryanoasis/nerd-fonts/wiki/Glyph-Sets-and-Code-Points

# Seti-UI + Custom
symbol_map U+E5FA-U+E6AC Symbols Nerd Font Mono

# Devicons
symbol_map U+E700-U+E7C5 Symbols Nerd Font Mono

# Font Awesome
symbol_map U+F000-U+F2E0 Symbols Nerd Font Mono

# Font Awesome Extension
symbol_map U+E200-U+E2A9 Symbols Nerd Font Mono

# Material Design Icons
symbol_map U+F0001-U+F1AF0 Symbols Nerd Font Mono

# Weather
symbol_map U+E300-U+E3E3 Symbols Nerd Font Mono

# Octicons
symbol_map U+F400-U+F532,U+2665,U+26A1 Symbols Nerd Font Mono

# Powerline Symbols
symbol_map U+E0A0-U+E0A2,U+E0B0-U+E0B3 Symbols Nerd Font Mono

# Powerline Extra Symbols
symbol_map U+E0A3,U+E0B4-U+E0C8,U+E0CA,U+E0CC-U+E0D4 Symbols Nerd Font Mono

# IEC Power Symbols
symbol_map U+23FB-U+23FE,U+2B58 Symbols Nerd Font Mono

# Font Logos
symbol_map U+F300-U+F32F Symbols Nerd Font Mono

# Pomicons
symbol_map U+E000-U+E00A Symbols Nerd Font Mono

# Codicons
symbol_map U+EA60-U+EBEB Symbols Nerd Font Mono

# Additional sets
symbol_map U+E276C-U+E2771 Symbols Nerd Font Mono # Heavy Angle Brackets
symbol_map U+2500-U+259F Symbols Nerd Font Mono # Box Drawing

# Some symbols not covered by Symbols Nerd Font
# nonicons contains icons in the range: U+F101-U+F27D
# U+F167 is HTML logo, but YouTube logo in Symbols Nerd Font
symbol_map U+F102,U+F116-U+F118,U+F12F,U+F13E,U+F1AF,U+F1BF,U+F1CF,U+F1FF,U+F20F,U+F21F-U+F220,U+F22E-U+F22F,U+F23F,U+F24F,U+F25F nonicons

# Emojis
symbol_map U+1F600-U+1F64F Noto Color Emoji

map alt+1 goto_tab 1
map alt+2 goto_tab 2
map alt+3 goto_tab 3
map alt+4 goto_tab 4
map alt+5 goto_tab 5
map alt+enter new_window_with_cwd
map alt+t new_tab_with_cwd
map alt+q close_window

confirm_os_window_close 0
